import { defineConfig, type PluginOption  } from 'vite'
import react from '@vitejs/plugin-react-swc'
import { join } from "path";
import { visualizer } from "rollup-plugin-visualizer";

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [
    visualizer() as PluginOption,

    react(),
  ],
  resolve: {
    alias: {
      '@': join(__dirname, "src")
    },
  },
  build: {
    rollupOptions: {
      output: {
        manualChunks: {
          ['skinview3d']: ['skinview3d'],
          ['@mui/material']: ['@mui/material']
        },
      },
    },
  },
})
